## org.codehaus.groovy.runtime.typehandling
Class GroovyCastException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.ClassCastException
                      org.codehaus.groovy.runtime.typehandling.GroovyCastException

All Implemented Interfaces:
  Serializable

    public class GroovyCastException

extends ClassCastException

See Also:
  Serialized Form

Constructor Summary
`GroovyCastException(Object objectToCast, Class classToCastTo)`
`GroovyCastException(String string)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroovyCastException

    public GroovyCastException(Object objectToCast,
                               Class classToCastTo)

### GroovyCastException

    public GroovyCastException(String string)

Copyright © 2003-2008 The Codehaus. All rights reserved.